summaryrefslogtreecommitdiff
path: root/t/t9700-perl-git.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t9700-perl-git.sh')
-rwxr-xr-xt/t9700-perl-git.sh31
1 files changed, 20 insertions, 11 deletions
diff --git a/t/t9700-perl-git.sh b/t/t9700-perl-git.sh
index 9706ee5773..8686086dde 100755
--- a/t/t9700-perl-git.sh
+++ b/t/t9700-perl-git.sh
@@ -6,8 +6,13 @@
test_description='perl interface (Git.pm)'
. ./test-lib.sh
-perl -MTest::More -e 0 2>/dev/null || {
- say_color skip "Perl Test::More unavailable, skipping test"
+if ! test_have_prereq PERL; then
+ say 'skipping perl interface tests, perl not available'
+ test_done
+fi
+
+"$PERL_PATH" -MTest::More -e 0 2>/dev/null || {
+ say "Perl Test::More unavailable, skipping test"
test_done
}
@@ -24,21 +29,25 @@ test_expect_success \
git add . &&
git commit -m "first commit" &&
+ echo "new file in subdir 2" > directory2/file2 &&
+ git add . &&
+ git commit -m "commit in directory2" &&
+
echo "changed file 1" > file1 &&
git commit -a -m "second commit" &&
- git-config --add color.test.slot1 green &&
- git-config --add test.string value &&
- git-config --add test.dupstring value1 &&
- git-config --add test.dupstring value2 &&
- git-config --add test.booltrue true &&
- git-config --add test.boolfalse no &&
- git-config --add test.boolother other &&
- git-config --add test.int 2k
+ git config --add color.test.slot1 green &&
+ git config --add test.string value &&
+ git config --add test.dupstring value1 &&
+ git config --add test.dupstring value2 &&
+ git config --add test.booltrue true &&
+ git config --add test.boolfalse no &&
+ git config --add test.boolother other &&
+ git config --add test.int 2k
'
test_external_without_stderr \
'Perl API' \
- perl ../t9700/test.pl
+ "$PERL_PATH" "$TEST_DIRECTORY"/t9700/test.pl
test_done